﻿<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>undefined</title>
</head>

<body>
    <!--

    undefined - это тип данных, который используется для переменных или свойств объекта, 
    значения для которых не существует или оно не присвоено. 

    Единственным значением неопределенного типа, которое может иметь переменная, 
    является значение undefined.

-->
    <script>

        var a;
        //alert(b); 

        alert(a);
      
    </script>
    <p>hello</p>
</body>

</html>